#
# Conditional build:
%bcond_without	tests		# unit tests

Summary:	YUV conversion and scaling functionality library
Summary(pl.UTF-8):	Biblioteka do konwersji i skalowania YUV
Name:		libyuv
# see include/libyuv/version.h
%define	yuv_ver	1875
%define	gitref	a3b9c36eb96ee815c938716d7e9703604938f904
%define	snap	20231003
%define	rel	1
Version:	0.%{yuv_ver}
Release:	0.%{snap}.%{rel}
License:	BSD
Group:		Development/Libraries
# tarball is recreated on each download, so use dropin
#Source0:	https://chromium.googlesource.com/libyuv/libyuv/+archive/%{gitref}.tar.gz?/%{name}-%{snap}.tar.gz
Source0:	%{name}-%{snap}.tar.gz
# Source0-md5:	38583e17b44dc9f2d8881d8f1b4a1e42
Source1:	%{name}.pc
Patch0:		shared-lib.patch
Patch1:		%{name}-simd.patch
URL:		https://chromium.googlesource.com/libyuv/libyuv
BuildRequires:	cmake >= 2.8.12
%{?with_tests:BuildRequires:	gtest-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an open source project that includes YUV conversion and
scaling functionality. Converts all webcam formats to YUV (I420).
Convert YUV to formats for rendering/effects. Rotate by 90 degrees to
adjust for mobile devices in portrait mode. Scale YUV to prepare
content for compression, with point, bilinear or box filter.

%description -l pl.UTF-8
Ten projekt o otwartych źródłach funkcjonalnością obejmuje konwersję
oraz skalowanie YUV. Potrafi:
- tłumaczyć formaty kamer internetowych na YUV (I420)
- przekształcać YUV na formaty zdatne do renderowania i efektów
- obracać obraz o 90 stopni, aby dostosowaćdo urządzeń przenośnych w
  trybie portretowym
- skalować YUV w celu przygotowania do kompresji z filtrem punktowym,
  dwuliniowym lub prostokątnym.

%package devel
Summary:	The development files for libyuv
Summary(pl.UTF-8):	Pliki programistyczne libyuv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for development with libyuv.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem libyuv.

%package static
Summary:	Static libyuv library
Summary(pl.UTF-8):	Statyczna biblioteka libyuv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libyuv library.

%description static -l pl.UTF-8
Statyczna biblioteka libyuv.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
mkdir -p build
cd build
%cmake .. \
	%{?with_tests:-DUNIT_TEST=ON}

%{__make}

%{?with_tests:./libyuv_unittest}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__sed} -e 's|@PACKAGE_VERSION@|%{yuv_ver}|' \
	-e 's|@prefix@|%{_prefix}|' \
	-e 's|@exec_prefix@|%{_prefix}|' \
	-e 's|@libdir@|%{_libdir}|' \
	-e 's|@includedir@|%{_includedir}|' %{SOURCE1} >$RPM_BUILD_ROOT%{_pkgconfigdir}/libyuv.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE PATENTS
%attr(755,root,root) %{_bindir}/yuvconvert
%attr(755,root,root) %{_libdir}/libyuv.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libyuv.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyuv.so
%{_includedir}/libyuv.h
%{_includedir}/libyuv
%{_pkgconfigdir}/libyuv.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libyuv.a
%changelog
* Wed Oct 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libyuv.git;a=log;h=master

* Wed Oct 04 2023 Jan Palus <atler@pld-linux.org> a3a29c3
- update required cmake version

* Wed Oct 04 2023 Jan Palus <atler@pld-linux.org> ea0db7c
- update cmake option for enabling unit tests

* Tue Oct 03 2023 Jan Palus <atler@pld-linux.org> 4e836f3
- up to 0.1875 (20231003 snap)

* Sat Jul 09 2022 Jan Palus <atler@pld-linux.org> 0b0f27b
- macros for %cmake

* Sat Jul 09 2022 Jan Palus <atler@pld-linux.org> b95fefd
- up to 0.1832 (20220629 snap)

* Tue Jun 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 5c41602
- added simd patch (avoid AVX in SSSE3-targeted code and SSE4.1 in SSE2-targeted code); rel 2

* Mon Jun 28 2021 Jakub Bogusz <qboosh@pld-linux.org> fe52e95
- use dropin

* Mon Jun 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 66096f3
- new URLs, updated to latest snap (version [0.]1788)
- updated shared-lib patch, soname changed (ARGBRotate{90,180,270} symbols removed)
- now static and shared libs are both built

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ae738b7
- dropped no longer existing -static; grepable files

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 37325ca
- rel 3

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 4a862b5
- bump soname

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 3fd7f7f
- bumped soname, some functions has been removed
- rel 2

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 5532560
- updated to latest svn version
- remove autotools patch, cmake can do its job just fine
- added shared lib patch for cmake, disabled static lib

* Mon Jan 14 2013 Elan Ruusamäe <glen@delfi.ee> b59fe44
- no checkout yasm and libjpeg_turbo

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 06c28e4
- use versioned dir in tarball

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 493ac7f
- skip gold binaries

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> eb3b7c2
- use libyuv as source dir

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> c0781f3
- use tar -a to let tar decide on compressor

* Wed Jan 09 2013 Elan Ruusamäe <glen@delfi.ee> 5d9f4da
- get source from svn using gclient

* Mon Dec 31 2012 Elan Ruusamäe <glen@delfi.ee> 1be264c
- up to svn522

